---
schema_version: "1"
id: 4e3307ba21c909154dc9f6f3e2a2dfe93a865cc8dcbca8ca05328661c85644a4
title: Reject a Record
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-process-approvals-reject.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-process-approvals-reject.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 241b841fb68e33da81e1e0da4d7a87c8f222451e3e32408edd0b4abfed43fc02
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Reject a Record

Use the Process Approvals resource to reject a record or a collection of records. Each call takes an array of requests. The current user must be an assigned approver.

## Example usage

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/process/approvals/ -H "Authorization: Bearer token" -H "Content-Type: application/json" -d @reject.json"
```

## Example request body reject.json file

```nolang
{
  "requests" : [{
    "actionType" : "Reject",
    "contextId" : "04iD0000000Cw6cIAC",
    "comments" : "This record is rejected."}]
}
```

## Example JSON response body

```nolang

[ { 
  "actorIds" : null,
  "entityId" : "001D000000I8mImIAJ",
  "errors" : null,
  "instanceId" : "04gD0000000CvmFIAS",
  "instanceStatus" : "Rejected",
  "newWorkitemIds" : [ ],
  "success" : true 
} ]
```

